This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 205012 - Monodevelop fails to start
Monodevelop fails to start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: monodevelop (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On: 205015
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-02 05:38 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 16:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-09-02 05:38:37 EDT
System.Reflection.TargetInvocationException: Exception has been thrown by the
target of an invocation. ---> System.TypeInitializationException: An exception
was thrown by the type initializer for
MonoDevelop.GtkCore.GuiBuilder.GuiBuilderService --->
System.TypeInitializationException: An exception was thrown by the type
initializer for Stetic.Registry ---> System.ArgumentException: <enum> node for
Gdk.WindowTypeHint is missing some values
  at Stetic.EnumDescriptor..ctor (System.Xml.XmlElement elem) [0x00000] 
  at Stetic.WidgetLibrary.Load (System.Xml.XmlDocument objects) [0x00000] 
  at Stetic.AssemblyWidgetLibrary.Load () [0x00000] 
  at Stetic.Registry.RegisterWidgetLibrary (Stetic.WidgetLibrary library) [0x00000] 
  at Stetic.Registry..cctor () [0x00000] --- End of inner exception stack trace ---

  at <0x00000> <unknown method>
  at Stetic.Project..ctor () [0x00000] 
  at MonoDevelop.GtkCore.GuiBuilder.GuiBuilderService..cctor () [0x00000] ---
End of inner exception stack trace ---

  at <0x00000> <unknown method>
  at MonoDevelop.GtkCore.GuiBuilder.GuiBuilderPalettePad..ctor () [0x00000] 
  at <0x00000> <unknown method>
  at (wrapper managed-to-native) System.Reflection.MonoCMethod:InternalInvoke
(object,object[])
  at System.Reflection.MonoCMethod.Invoke (System.Object obj, BindingFlags
invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
System.Globalization.CultureInfo culture) [0x00000] --- End of inner exception
stack trace ---

  at System.Reflection.MonoCMethod.Invoke (System.Object obj, BindingFlags
invokeAttr, System.Reflection.Binder binder, System.Object[] parameters,
System.Globalization.CultureInfo culture) [0x00000] 
  at System.Reflection.MonoCMethod.Invoke (BindingFlags invokeAttr,
System.Reflection.Binder binder, System.Object[] parameters,
System.Globalization.CultureInfo culture) [0x00000] 
  at System.Reflection.ConstructorInfo.Invoke (System.Object[] parameters)
[0x00000] 
  at System.Activator.CreateInstance (System.Type type, Boolean nonPublic)
[0x00000] 
  at System.Activator.CreateInstance (System.Type type) [0x00000] 
  at MonoDevelop.Core.AddIns.AddIn.CreateObject (System.String className) [0x00000] 
  at MonoDevelop.Ide.Codons.PadCodon.CreatePad () [0x00000] 
  at MonoDevelop.Ide.Codons.PadCodon.BuildItem (System.Object owner,
System.Collections.ArrayList subItems,
MonoDevelop.Core.AddIns.ConditionCollection conditions) [0x00000] 
  at MonoDevelop.Core.AddIns.DefaultAddInTreeNode.BuildChildItems (System.Object
caller) [0x00000] 
  at MonoDevelop.Core.AddIns.AddInService.GetTreeItems (System.String path,
System.Type itemType) [0x00000] 
  at MonoDevelop.Ide.Gui.DefaultWorkbench.InitializeLayout (IWorkbenchLayout
workbenchLayout) [0x00000] 
  at MonoDevelop.Ide.Gui.Workbench.Initialize (IProgressMonitor monitor) [0x00000] 
  at MonoDevelop.Ide.Gui.IdeApp.Initialize (IProgressMonitor monitor) [0x00000] 
  at MonoDevelop.Ide.Gui.IdeStartup.Run (System.String[] args) [0x00000]

Note You need to log in before you can comment on or make changes to this bug.